
Redmine - Feature #3364

Blocked or Following Issues

2009-05-15 12:39 - Serkan  Bayhan

Status: New Start date: 2009-05-15

Priority: Normal Due date:  

Assignee:  % Done: 30%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

There must be a way to avoid closing or resolving an open issue before its preceders and blockers are resolved or closed.

Related issues:

Related to Redmine - Defect #1740: Actually block issues from closing when re... Closed 2008-08-04

Related to Redmine - Patch #2132: Patch to prevent blocked issues from being ... Closed 2008-11-04

History

#1 - 2009-05-15 22:42 - Mischa The Evil

Partly duplicates issue #1740 (which is patched in #2132)...

#2 - 2009-05-18 22:42 - Mischa The Evil

- Subject changed from Bloked or Folowing Issiues to Blocked or Following Issues

- Priority changed from Urgent to Normal

Corrected spelling and priority... ;)

#3 - 2009-07-04 14:07 - Jean-Philippe Lang

Partially implemented in r2800.

Not sure if an open predecessor should block issue from being closed.

#4 - 2009-07-05 23:41 - Mischa The Evil

- Category set to Issues

- % Done changed from 0 to 50

Jean-Philippe Lang wrote:

Not sure if an open predecessor should block issue from being closed.

IMHO open predecessors should not block issues from being closed. Imagine a case where we have two issues:

an issue (issue #2) which relies on a function which is implemented in issue #1 (therefore the issue is preceded by issue #1)

the predecessor (issue #1) which implements a new function.

If the following state is true than open predecessors should not block issues:

Issue #2 is fully implemented but only the documentation needs to be completed. In that case the issue -done can be set to 90. The actual

function is implemented though thus the predecessing issue (issue #1) (which is preceded by this issue ) should be closeable at this stage.

 I guess this is something that can depend on everyone's individual workflow. My opinion is that Redmine should be kept as flexible as possible.

Therefore I'd say to keep actual issue-blocking a feature of the blocking issue-relation only. Though, YMMV...

#5 - 2009-07-06 09:10 - Serkan  Bayhan

- % Done changed from 50 to 30

It would be great for us if an issue can be marked to be closed conditionally. For example blokers must be closed or certain %-done level is reached

for each related issue or all, there may be some restrictions and of course this feature can be toggled (on/off) from projects settings and/or system

2025-05-17 1/2

https://www.redmine.org/issues/1740
https://www.redmine.org/issues/2132
https://www.redmine.org/projects/redmine/repository/svn/revisions/2800
https://www.redmine.org/issues/2
https://www.redmine.org/issues/1
https://www.redmine.org/issues/1
https://www.redmine.org/issues/1
https://www.redmine.org/issues/2
https://www.redmine.org/issues/1


wise settings.

And it would be great if some checklist for issues and cattegories. We can check/uncheck standart procedures and each check determines the

progress of issue and %-done level.

Example:

Issue #xxx: 

Stereotype: yyyy

 [OK] Todo blah blah 1 (%30)

 [..] Todo blah blah 2 (%10)

      [  ]  Todo blah blah 3 (%50)

      [OK] Todo blah blah 4 (%50)

 [  ] Todo blah blah (%10)

 [OK] Todo blah blah (%50)

Done: 85% (30% + (50% of 10%) + %50)

#6 - 2013-03-22 16:37 - Dipan Mehta

As of now - the blocked by issues are not allowed to be closed till the corresponding issues are not closed. This shouldn't be applied, in my opinion, to

precede or other relations.

Is this the end goal? or there is something still more to it?
